Bug 1012891 - Read-only does not act on some fields
Read-only does not act on some fields
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Form Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER1
: 6.0.1
Assigned To: Pere Fernàndez
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 06:36 EDT by Pedro Zapata
Modified: 2014-08-06 16:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:03:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Zapata 2013-09-27 06:36:49 EDT
Clone project at https://github.com/pzapata/kie-examples.git

Start process, notice that before starting a task, you can modify the Creation Date field, even if the form is displayed in read-only mode. 

All the fields need to be verified they are following the read-only flag, both set at the form level or at the field level.

Subforms are also not following that convention, if you set a subform field with readonly, it's still possible to modify the content. It should propagate the read-only behaviour to the fields inside.
Comment 2 Pedro Zapata 2013-09-27 12:10:34 EDT
It also happens with multiple subforms, it prevents the list of subitems to be displayed.
Comment 4 Jan Hrcek 2013-10-21 02:38:20 EDT
This fix is not present in BPMS 6.0.0 ER4 - will verify it with the next release.
Comment 5 Tomas Livora 2014-01-03 10:36:28 EST
The problem with date inputs has been fixed. But there is still no option to show the items of multiple subform if it is marked as read-only. According to Pedro's comment (https://bugzilla.redhat.com/show_bug.cgi?id=1012891#c2) I assume it is not a feature.
Comment 9 Lukáš Petrovický 2014-02-07 11:19:03 EST
This no longer has a target release of 6.0.0.
Comment 10 Tomas Livora 2014-02-27 04:33:14 EST
Verified on BPMS 6.0.1 ER1

Note You need to log in before you can comment on or make changes to this bug.